Results 1 to 4 of 4
  1. Thread Author  Thread Author    #1  

    Default Any way to fix "your device isn't compatible with this version"?

    Does anyone know how to fix "your device isn't compatible with this version"? i have my Verizon Galaxy Nexus rooted, no custom ROMs installed, Android 4.0.2. I also have an unrooted Verizon Galaxy Nexus (Samsung review loaner unit for my site) and never have this issue at all.Sometimes I get lucky and search around to find the .apk of the app that claims isn't compatible with my device and it always installs fine. I'm attaching some screenshots and hoping someone knows a fix to this. Thanks in advance!
    Attached Thumbnails Attached Thumbnails Any way to fix "your device isn't compatible with this version"?-flud.jpg   Any way to fix "your device isn't compatible with this version"?-flud2.jpg  
    Last edited by jimmiegeddes; 03-22-2012 at 11:28 PM. Reason: incomplete title
  2. #2  

    Default Re: Any way to fix "your device isn't compatible with this versio

    They need to update the app to be compatible with ICS.
    LG Nexus 5 / LG Nexus 4 / HTC One / Sony Xperia ZL // T-Mobile / AT&T
  3. Thread Author  Thread Author    #3  

    Default Re: Any way to fix "your device isn't compatible with this versio

    Quote Originally Posted by martonikaj View Post
    They need to update the app to be compatible with ICS.
    I don't have this problem at all with the Verizon Galaxy Nexus Samsung sent me for review on my site, it's running ICS (isn't rooted) and has no problem installing the same apps I'm trying to install on my personal Verizon Galaxy Nexus. Even in the Market, I mean Play Store (lol) I can install apps on the Samsung loaner unit from the Play Store on the device and web. In the picture I posted you can see that the 2nd Galaxy Nexus (Samsung loaner unit) in the list isn't greyed out and I can install apps without a problem.

    If I get an apk that the Play Store says isn't compatible somewhere online and transfer it to my personal Galaxy Nexus using the Android File Transfer on my Mac I can use the app without an issue. It's really weird and annoying, lol.
  4. #4  
    Pengwn's Avatar

    Posts
    35 Posts
    ROM
    JB Paranoid Android 1.99

    Default Re: Any way to fix "your device isn't compatible with this versio

    You can try installing it through the "back door" method.

    Go into your browser and go to the play store.
    Search for the app your trying to install.
    Stay in the browser if it prompts to switch to the app
    Click on the icon of the desired app.
    This time when it prompts you, switch over the the app.
    ??????
    Profit

Posting Permissions

B